Bug 1832562

Summary: Review Request: tpcclib - Tools for processing data from Turku PET Centre (TPC)
Product: [Fedora] Fedora Reporter: Purusharth S <purusharth.saxena1>
Component: Package ReviewAssignee: Ankur Sinha (FranciscoD) <sanjay.ankur>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: bugs.michael, package-review, sanjay.ankur
Target Milestone: ---Flags: sanjay.ankur: fedora-review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: NotReady
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 177841    
Attachments:
Description Flags
licensecheck output none

Description Purusharth S 2020-05-06 20:25:58 UTC
[Updated as per review comments]

This is my First Package and I am being sposored by ankursinha (FranciscoD)

Spec URL: https://pagure.io/tpcclib/raw/version-0.7.5/f/tpcclib.spec
SRPM URL: https://pagure.io/tpcclib/raw/version-0.7.5/f/tpcclib-0.7.5-1.fc32.src.rpm
Description: Tpcclib project is to develop and maintain command-line tools to processing and analyzing data collected in Turku PET Centre (TPC), University of Turku. The tpcclib project is released under GNU GPLv3.
Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=44424439
Fedora Account System Username:purusharths

Comment 1 Ankur Sinha (FranciscoD) 2020-05-07 19:48:36 UTC
Looks pretty good, a few issues and it'll be ready to go!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: tpcclib-devel. Does not provide -static:
  tpcclib-devel.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#packaging-static-libraries

^
Because of a mistake here:
Provides: %{name}%{?_isa} = %{version}-static

Should be:
Provides: %{name}-static%{?_isa} = %{version}-%{release}


- Are you using the LIBPATH in CMakeLists.txt? I thought we'd replaced it?
  Please double check, and if isn't being used, please remove the sed command
  in the %prep section


- License field needs checking. It should probably be:
License: GPLv2+ and GPLv3+
but perhaps it's best to confirm on the -devel list.

- Not a blocker, but it's good to have separate patches for each fix rather
  than a massive patch that does everything. See my full comment below.

- Some rpmlint issues that need fixing:

* tpcclib.x86_64: E: summary-too-long C Command line tools for processing and analyzing data collected in Turku PET Centre (TPC)
^
Maybe shorten the summary to "Tools for processing data from Turku PET Centre (TPC)"?


* tpcclib.x86_64: W: incoherent-version-in-changelog 0.7.5 ['0.7.5-1.fc33', '0.7.5-1']
^
Your change log needs fixing.


* tpcclib.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/tpcclib/changelog.md
* tpcclib.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/tpcclib/readme.md
^
This needs fixing, refer to:
https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

(the second sed command is good to use)


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3 or later)", "Expat License BSD
     3-clause "New" or "Revised" License", "GPL (v2 or later) (with
     incorrect FSF address)". 3095 files have unknown license. Detailed
     output of licensecheck in /home/asinha/dump/fedora-
     reviews/1832562-tpcclib/licensecheck.txt
^
I'm not sure what the License field should be in this case. Best to ask on the
-devel list.


[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[?]: Changelog in prescribed format.
^
The changelog needs fixing.

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tpcclib-
     devel
^
This needs updating.

[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.

[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
^
This is OK, but it's good to limit individual patches to individual functions.
That also means that when upstream updates their code, you won't have to
regenerate the whole patch, only the individual ones. It makes maintenance a
lot easier in the long run.

[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
^
No tests in package.

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tpcclib-0.7.5-1.fc33.x86_64.rpm
          tpcclib-devel-0.7.5-1.fc33.x86_64.rpm
          tpcclib-debuginfo-0.7.5-1.fc33.x86_64.rpm
          tpcclib-debugsource-0.7.5-1.fc33.x86_64.rpm
          tpcclib-0.7.5-1.fc33.src.rpm
tpcclib.x86_64: E: summary-too-long C Command line tools for processing and analyzing data collected in Turku PET Centre (TPC)


tpcclib.x86_64: W: spelling-error %description -l en_US centres -> centers, cent res, cent-res
tpcclib.x86_64: W: incoherent-version-in-changelog 0.7.5 ['0.7.5-1.fc33', '0.7.5-1']
tpcclib.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/tpcclib/changelog.md
tpcclib.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/tpcclib/readme.md


tpcclib.x86_64: W: no-manual-page-for-binary abssbkg
tpcclib.x86_64: W: no-manual-page-for-binary absscal
tpcclib.x86_64: W: no-manual-page-for-binary abssexam
tpcclib.x86_64: W: no-manual-page-for-binary abssfch
tpcclib.x86_64: W: no-manual-page-for-binary absstime
tpcclib.x86_64: W: no-manual-page-for-binary absszero
tpcclib.x86_64: W: no-manual-page-for-binary addtimes
tpcclib.x86_64: W: no-manual-page-for-binary addvers
tpcclib.x86_64: W: no-manual-page-for-binary ainterp
tpcclib.x86_64: W: no-manual-page-for-binary ana2ecat
tpcclib.x86_64: W: no-manual-page-for-binary ana_ehdr
tpcclib.x86_64: W: no-manual-page-for-binary ana_lhdr
tpcclib.x86_64: W: no-manual-page-for-binary anabyteo
tpcclib.x86_64: W: no-manual-page-for-binary arlkup
tpcclib.x86_64: W: no-manual-page-for-binary asc2flat
tpcclib.x86_64: W: no-manual-page-for-binary atnmake
tpcclib.x86_64: W: no-manual-page-for-binary avgbolus
tpcclib.x86_64: W: no-manual-page-for-binary avgfract
tpcclib.x86_64: W: no-manual-page-for-binary avgttac
tpcclib.x86_64: W: no-manual-page-for-binary b2plasma
tpcclib.x86_64: W: no-manual-page-for-binary b2rbc
tpcclib.x86_64: W: no-manual-page-for-binary b2t_h2o
tpcclib.x86_64: W: no-manual-page-for-binary b2t_mo2
tpcclib.x86_64: W: no-manual-page-for-binary bfmh2o
tpcclib.x86_64: W: no-manual-page-for-binary bfmsrtm
tpcclib.x86_64: W: no-manual-page-for-binary bigend
tpcclib.x86_64: W: no-manual-page-for-binary bpr2cpr
tpcclib.x86_64: W: no-manual-page-for-binary conv1tcm
tpcclib.x86_64: W: no-manual-page-for-binary convend
tpcclib.x86_64: W: no-manual-page-for-binary convexpf
tpcclib.x86_64: W: no-manual-page-for-binary convsurg
tpcclib.x86_64: W: no-manual-page-for-binary csv2ift
tpcclib.x86_64: W: no-manual-page-for-binary csvrmcol
tpcclib.x86_64: W: no-manual-page-for-binary dcftime
tpcclib.x86_64: W: no-manual-page-for-binary dcmdict
tpcclib.x86_64: W: no-manual-page-for-binary dcmframe
tpcclib.x86_64: W: no-manual-page-for-binary dcmlhdr
tpcclib.x86_64: W: no-manual-page-for-binary dcmmlist
tpcclib.x86_64: W: no-manual-page-for-binary dcmxform
tpcclib.x86_64: W: no-manual-page-for-binary dft2img
tpcclib.x86_64: W: no-manual-page-for-binary dft2res
tpcclib.x86_64: W: no-manual-page-for-binary dftavg
tpcclib.x86_64: W: no-manual-page-for-binary dftcat
tpcclib.x86_64: W: no-manual-page-for-binary dftdblf
tpcclib.x86_64: W: no-manual-page-for-binary dftinteg
tpcclib.x86_64: W: no-manual-page-for-binary dftmax
tpcclib.x86_64: W: no-manual-page-for-binary dftratio
tpcclib.x86_64: W: no-manual-page-for-binary dftscale
tpcclib.x86_64: W: no-manual-page-for-binary dftsuv
tpcclib.x86_64: W: no-manual-page-for-binary dftweigh
tpcclib.x86_64: W: no-manual-page-for-binary disp4dft
tpcclib.x86_64: W: no-manual-page-for-binary e63emhdr
tpcclib.x86_64: W: no-manual-page-for-binary e63mdel
tpcclib.x86_64: W: no-manual-page-for-binary e63mreg
tpcclib.x86_64: W: no-manual-page-for-binary e63to7
tpcclib.x86_64: W: no-manual-page-for-binary e7emhdr
tpcclib.x86_64: W: no-manual-page-for-binary e7evhdr
tpcclib.x86_64: W: no-manual-page-for-binary e7to63
tpcclib.x86_64: W: no-manual-page-for-binary ecalibr
tpcclib.x86_64: W: no-manual-page-for-binary ecat2ana
tpcclib.x86_64: W: no-manual-page-for-binary ecat2nii
tpcclib.x86_64: W: no-manual-page-for-binary ecatcat
tpcclib.x86_64: W: no-manual-page-for-binary ecatfbp
tpcclib.x86_64: W: no-manual-page-for-binary ecatmrp
tpcclib.x86_64: W: no-manual-page-for-binary ecatnorm
tpcclib.x86_64: W: no-manual-page-for-binary ecattime
tpcclib.x86_64: W: no-manual-page-for-binary efixplnr
tpcclib.x86_64: W: no-manual-page-for-binary eframe
tpcclib.x86_64: W: no-manual-page-for-binary egetstrt
tpcclib.x86_64: W: no-manual-page-for-binary esetstrt
tpcclib.x86_64: W: no-manual-page-for-binary esplit
tpcclib.x86_64: W: no-manual-page-for-binary execlong
tpcclib.x86_64: W: no-manual-page-for-binary extrapol
tpcclib.x86_64: W: no-manual-page-for-binary fit2dat
tpcclib.x86_64: W: no-manual-page-for-binary fit2res
tpcclib.x86_64: W: no-manual-page-for-binary fit_bpr
tpcclib.x86_64: W: no-manual-page-for-binary fit_dexp
tpcclib.x86_64: W: no-manual-page-for-binary fit_disp
tpcclib.x86_64: W: no-manual-page-for-binary fit_exp
tpcclib.x86_64: W: no-manual-page-for-binary fit_feng
tpcclib.x86_64: W: no-manual-page-for-binary fit_fexp
tpcclib.x86_64: W: no-manual-page-for-binary fit_frtm
tpcclib.x86_64: W: no-manual-page-for-binary fit_gvar
tpcclib.x86_64: W: no-manual-page-for-binary fit_h2o
tpcclib.x86_64: W: no-manual-page-for-binary fit_hiad
tpcclib.x86_64: W: no-manual-page-for-binary fit_line
tpcclib.x86_64: W: no-manual-page-for-binary fit_o2bl
tpcclib.x86_64: W: no-manual-page-for-binary fit_pbr
tpcclib.x86_64: W: no-manual-page-for-binary fit_ppf
tpcclib.x86_64: W: no-manual-page-for-binary fit_ratf
tpcclib.x86_64: W: no-manual-page-for-binary fit_rrtm
tpcclib.x86_64: W: no-manual-page-for-binary fit_sigm
tpcclib.x86_64: W: no-manual-page-for-binary fit_sinf
tpcclib.x86_64: W: no-manual-page-for-binary fit_srtm
tpcclib.x86_64: W: no-manual-page-for-binary fit_trtm
tpcclib.x86_64: W: no-manual-page-for-binary fit_wcdf
tpcclib.x86_64: W: no-manual-page-for-binary fit_wliv
tpcclib.x86_64: W: no-manual-page-for-binary fit_wpul
tpcclib.x86_64: W: no-manual-page-for-binary fit_wrlv
tpcclib.x86_64: W: no-manual-page-for-binary fit_xexp
tpcclib.x86_64: W: no-manual-page-for-binary fit_xsur
tpcclib.x86_64: W: no-manual-page-for-binary fitdelay
tpcclib.x86_64: W: no-manual-page-for-binary fitedit
tpcclib.x86_64: W: no-manual-page-for-binary fitk2
tpcclib.x86_64: W: no-manual-page-for-binary fitk2di
tpcclib.x86_64: W: no-manual-page-for-binary fitk3
tpcclib.x86_64: W: no-manual-page-for-binary fitk4
tpcclib.x86_64: W: no-manual-page-for-binary fitk5
tpcclib.x86_64: W: no-manual-page-for-binary fitmbf
tpcclib.x86_64: W: no-manual-page-for-binary fitvb
tpcclib.x86_64: W: no-manual-page-for-binary flat2img
tpcclib.x86_64: W: no-manual-page-for-binary fvar4img
tpcclib.x86_64: W: no-manual-page-for-binary fvar4tac
tpcclib.x86_64: W: no-manual-page-for-binary halflife
tpcclib.x86_64: W: no-manual-page-for-binary heartcor
tpcclib.x86_64: W: no-manual-page-for-binary htmlfind
tpcclib.x86_64: W: no-manual-page-for-binary htmlgall
tpcclib.x86_64: W: no-manual-page-for-binary iftadd
tpcclib.x86_64: W: no-manual-page-for-binary iftdel
tpcclib.x86_64: W: no-manual-page-for-binary iftedit
tpcclib.x86_64: W: no-manual-page-for-binary iftisval
tpcclib.x86_64: W: no-manual-page-for-binary iftlist
tpcclib.x86_64: W: no-manual-page-for-binary iftmatch
tpcclib.x86_64: W: no-manual-page-for-binary iftren
tpcclib.x86_64: W: no-manual-page-for-binary iftvalc
tpcclib.x86_64: W: no-manual-page-for-binary img2dft
tpcclib.x86_64: W: no-manual-page-for-binary img2flat
tpcclib.x86_64: W: no-manual-page-for-binary img2scn
tpcclib.x86_64: W: no-manual-page-for-binary img2tif
tpcclib.x86_64: W: no-manual-page-for-binary imgadd
tpcclib.x86_64: W: no-manual-page-for-binary imgafind
tpcclib.x86_64: W: no-manual-page-for-binary imgaumc
tpcclib.x86_64: W: no-manual-page-for-binary imgbfbp
tpcclib.x86_64: W: no-manual-page-for-binary imgbfh2o
tpcclib.x86_64: W: no-manual-page-for-binary imgbfk2
tpcclib.x86_64: W: no-manual-page-for-binary imgbfk3
tpcclib.x86_64: W: no-manual-page-for-binary imgbkgrm
tpcclib.x86_64: W: no-manual-page-for-binary imgbox
tpcclib.x86_64: W: no-manual-page-for-binary imgcalc
tpcclib.x86_64: W: no-manual-page-for-binary imgcat
tpcclib.x86_64: W: no-manual-page-for-binary imgcbv
tpcclib.x86_64: W: no-manual-page-for-binary imgcutof
tpcclib.x86_64: W: no-manual-page-for-binary imgdecay
tpcclib.x86_64: W: no-manual-page-for-binary imgdelfr
tpcclib.x86_64: W: no-manual-page-for-binary imgdelpl
tpcclib.x86_64: W: no-manual-page-for-binary imgdim
tpcclib.x86_64: W: no-manual-page-for-binary imgdv
tpcclib.x86_64: W: no-manual-page-for-binary imgdysmo
tpcclib.x86_64: W: no-manual-page-for-binary imgfiltg
tpcclib.x86_64: W: no-manual-page-for-binary imgflip
tpcclib.x86_64: W: no-manual-page-for-binary imgflow
tpcclib.x86_64: W: no-manual-page-for-binary imgfrdif
tpcclib.x86_64: W: no-manual-page-for-binary imgfrdyn
tpcclib.x86_64: W: no-manual-page-for-binary imgfrsmo
tpcclib.x86_64: W: no-manual-page-for-binary imgfsegm
tpcclib.x86_64: W: no-manual-page-for-binary imgftac
tpcclib.x86_64: W: no-manual-page-for-binary imgfur
tpcclib.x86_64: W: no-manual-page-for-binary imghead
tpcclib.x86_64: W: no-manual-page-for-binary imghist
tpcclib.x86_64: W: no-manual-page-for-binary imgidpvc
tpcclib.x86_64: W: no-manual-page-for-binary imginteg
tpcclib.x86_64: W: no-manual-page-for-binary imginv
tpcclib.x86_64: W: no-manual-page-for-binary imgki
tpcclib.x86_64: W: no-manual-page-for-binary imgledif
tpcclib.x86_64: W: no-manual-page-for-binary imglhbdv
tpcclib.x86_64: W: no-manual-page-for-binary imglhdv
tpcclib.x86_64: W: no-manual-page-for-binary imglhk3
tpcclib.x86_64: W: no-manual-page-for-binary imglkup
tpcclib.x86_64: W: no-manual-page-for-binary imgmask
tpcclib.x86_64: W: no-manual-page-for-binary imgmatch
tpcclib.x86_64: W: no-manual-page-for-binary imgmax
tpcclib.x86_64: W: no-manual-page-for-binary imgmaxp
tpcclib.x86_64: W: no-manual-page-for-binary imgmove
tpcclib.x86_64: W: no-manual-page-for-binary imgpeak
tpcclib.x86_64: W: no-manual-page-for-binary imgposv
tpcclib.x86_64: W: no-manual-page-for-binary imgprofi
tpcclib.x86_64: W: no-manual-page-for-binary imgqntls
tpcclib.x86_64: W: no-manual-page-for-binary imgratio
tpcclib.x86_64: W: no-manual-page-for-binary imgshrink
tpcclib.x86_64: W: no-manual-page-for-binary imgslim
tpcclib.x86_64: W: no-manual-page-for-binary imgslope
tpcclib.x86_64: W: no-manual-page-for-binary imgsrtm
tpcclib.x86_64: W: no-manual-page-for-binary imgsuv
tpcclib.x86_64: W: no-manual-page-for-binary imgswell
tpcclib.x86_64: W: no-manual-page-for-binary imgthrs
tpcclib.x86_64: W: no-manual-page-for-binary imgunit
tpcclib.x86_64: W: no-manual-page-for-binary imgweigh
tpcclib.x86_64: W: no-manual-page-for-binary injdifft
tpcclib.x86_64: W: no-manual-page-for-binary inpstart
tpcclib.x86_64: W: no-manual-page-for-binary interpol
tpcclib.x86_64: W: no-manual-page-for-binary lhsol
tpcclib.x86_64: W: no-manual-page-for-binary liverinp
tpcclib.x86_64: W: no-manual-page-for-binary liverpv
tpcclib.x86_64: W: no-manual-page-for-binary llsqrk2
tpcclib.x86_64: W: no-manual-page-for-binary lmhdr
tpcclib.x86_64: W: no-manual-page-for-binary lmlist
tpcclib.x86_64: W: no-manual-page-for-binary logan
tpcclib.x86_64: W: no-manual-page-for-binary lshdr
tpcclib.x86_64: W: no-manual-page-for-binary mask2pxl
tpcclib.x86_64: W: no-manual-page-for-binary maskconj
tpcclib.x86_64: W: no-manual-page-for-binary maskdila
tpcclib.x86_64: W: no-manual-page-for-binary maskeros
tpcclib.x86_64: W: no-manual-page-for-binary maskinv
tpcclib.x86_64: W: no-manual-page-for-binary masklbl
tpcclib.x86_64: W: no-manual-page-for-binary masksize
tpcclib.x86_64: W: no-manual-page-for-binary metabcor
tpcclib.x86_64: W: no-manual-page-for-binary mkcalhdr
tpcclib.x86_64: W: no-manual-page-for-binary models
tpcclib.x86_64: W: no-manual-page-for-binary nii2ecat
tpcclib.x86_64: W: no-manual-page-for-binary nii_ehdr
tpcclib.x86_64: W: no-manual-page-for-binary nii_lhdr
tpcclib.x86_64: W: no-manual-page-for-binary o2_p2w
tpcclib.x86_64: W: no-manual-page-for-binary o2metab
tpcclib.x86_64: W: no-manual-page-for-binary p2bfuncs
tpcclib.x86_64: W: no-manual-page-for-binary p2blood
tpcclib.x86_64: W: no-manual-page-for-binary p2t_3c
tpcclib.x86_64: W: no-manual-page-for-binary p2t_di
tpcclib.x86_64: W: no-manual-page-for-binary p2t_v3c
tpcclib.x86_64: W: no-manual-page-for-binary paradd
tpcclib.x86_64: W: no-manual-page-for-binary parai
tpcclib.x86_64: W: no-manual-page-for-binary parcoll
tpcclib.x86_64: W: no-manual-page-for-binary pardiff
tpcclib.x86_64: W: no-manual-page-for-binary parformat
tpcclib.x86_64: W: no-manual-page-for-binary parget
tpcclib.x86_64: W: no-manual-page-for-binary parmatch
tpcclib.x86_64: W: no-manual-page-for-binary parmean
tpcclib.x86_64: W: no-manual-page-for-binary parrenp
tpcclib.x86_64: W: no-manual-page-for-binary parsort
tpcclib.x86_64: W: no-manual-page-for-binary patlak
tpcclib.x86_64: W: no-manual-page-for-binary paucinf
tpcclib.x86_64: W: no-manual-page-for-binary pdoc2htm
tpcclib.x86_64: W: no-manual-page-for-binary perfrat
tpcclib.x86_64: W: no-manual-page-for-binary pxl2mask
tpcclib.x86_64: W: no-manual-page-for-binary pxl2tac
tpcclib.x86_64: W: no-manual-page-for-binary regfur
tpcclib.x86_64: W: no-manual-page-for-binary res2html
tpcclib.x86_64: W: no-manual-page-for-binary rescoll
tpcclib.x86_64: W: no-manual-page-for-binary resdel
tpcclib.x86_64: W: no-manual-page-for-binary reslist
tpcclib.x86_64: W: no-manual-page-for-binary resmatch
tpcclib.x86_64: W: no-manual-page-for-binary rmcmnts
tpcclib.x86_64: W: no-manual-page-for-binary sifcat
tpcclib.x86_64: W: no-manual-page-for-binary sifisot
tpcclib.x86_64: W: no-manual-page-for-binary siflist
tpcclib.x86_64: W: no-manual-page-for-binary sim_3tcm
tpcclib.x86_64: W: no-manual-page-for-binary sim_av
tpcclib.x86_64: W: no-manual-page-for-binary sim_h2o
tpcclib.x86_64: W: no-manual-page-for-binary sim_mbf
tpcclib.x86_64: W: no-manual-page-for-binary sim_o2bl
tpcclib.x86_64: W: no-manual-page-for-binary sim_pkcp
tpcclib.x86_64: W: no-manual-page-for-binary sim_rtcm
tpcclib.x86_64: W: no-manual-page-for-binary sim_wliv
tpcclib.x86_64: W: no-manual-page-for-binary simboxes
tpcclib.x86_64: W: no-manual-page-for-binary simcirc
tpcclib.x86_64: W: no-manual-page-for-binary simdisp
tpcclib.x86_64: W: no-manual-page-for-binary simframe
tpcclib.x86_64: W: no-manual-page-for-binary simiart
tpcclib.x86_64: W: no-manual-page-for-binary simimyoc
tpcclib.x86_64: W: no-manual-page-for-binary simttm
tpcclib.x86_64: W: no-manual-page-for-binary svar4tac
tpcclib.x86_64: W: no-manual-page-for-binary tac2suv
tpcclib.x86_64: W: no-manual-page-for-binary tac2svg
tpcclib.x86_64: W: no-manual-page-for-binary tac2xml
tpcclib.x86_64: W: no-manual-page-for-binary tac4frpl
tpcclib.x86_64: W: no-manual-page-for-binary tacadd
tpcclib.x86_64: W: no-manual-page-for-binary tacadd0
tpcclib.x86_64: W: no-manual-page-for-binary tacblend
tpcclib.x86_64: W: no-manual-page-for-binary taccalc
tpcclib.x86_64: W: no-manual-page-for-binary taccbv
tpcclib.x86_64: W: no-manual-page-for-binary taccross
tpcclib.x86_64: W: no-manual-page-for-binary taccut
tpcclib.x86_64: W: no-manual-page-for-binary taccuty
tpcclib.x86_64: W: no-manual-page-for-binary tacdecay
tpcclib.x86_64: W: no-manual-page-for-binary tacdel
tpcclib.x86_64: W: no-manual-page-for-binary tacdelna
tpcclib.x86_64: W: no-manual-page-for-binary tacformat
tpcclib.x86_64: W: no-manual-page-for-binary tacframe
tpcclib.x86_64: W: no-manual-page-for-binary tacinv
tpcclib.x86_64: W: no-manual-page-for-binary tacjoin
tpcclib.x86_64: W: no-manual-page-for-binary taclist
tpcclib.x86_64: W: no-manual-page-for-binary taclkup
tpcclib.x86_64: W: no-manual-page-for-binary tacln
tpcclib.x86_64: W: no-manual-page-for-binary tacmatch
tpcclib.x86_64: W: no-manual-page-for-binary tacmean
tpcclib.x86_64: W: no-manual-page-for-binary tacmidy
tpcclib.x86_64: W: no-manual-page-for-binary tacmsamp
tpcclib.x86_64: W: no-manual-page-for-binary tacmultx
tpcclib.x86_64: W: no-manual-page-for-binary tacnames
tpcclib.x86_64: W: no-manual-page-for-binary tacp2f
tpcclib.x86_64: W: no-manual-page-for-binary tacpeak
tpcclib.x86_64: W: no-manual-page-for-binary tacrange
tpcclib.x86_64: W: no-manual-page-for-binary tacren
tpcclib.x86_64: W: no-manual-page-for-binary tacsetx
tpcclib.x86_64: W: no-manual-page-for-binary tacsety
tpcclib.x86_64: W: no-manual-page-for-binary tacslope
tpcclib.x86_64: W: no-manual-page-for-binary tacsort
tpcclib.x86_64: W: no-manual-page-for-binary tacsplit
tpcclib.x86_64: W: no-manual-page-for-binary tacstudy
tpcclib.x86_64: W: no-manual-page-for-binary tactime
tpcclib.x86_64: W: no-manual-page-for-binary tacunit
tpcclib.x86_64: W: no-manual-page-for-binary tacweigh
tpcclib.x86_64: W: no-manual-page-for-binary tocr
tpcclib.x86_64: W: no-manual-page-for-binary upet2e7
tpcclib.x86_64: W: no-manual-page-for-binary upet2sif
tpcclib.x86_64: W: no-manual-page-for-binary var4tac
tpcclib.x86_64: W: no-manual-page-for-binary yokoi
tpcclib-devel.x86_64: W: no-documentation
tpcclib.src: E: summary-too-long C Command line tools for processing and analyzing data collected in Turku PET Centre (TPC)
tpcclib.src: W: spelling-error %description -l en_US centres -> centers, cent res, cent-res
tpcclib.src: W: strange-permission tpcclib-v0.7.5.tar.bz2 400
5 packages and 0 specfiles checked; 2 errors, 313 warnings.




Rpmlint (debuginfo)
-------------------
Checking: tpcclib-debuginfo-0.7.5-1.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
tpcclib.x86_64: E: summary-too-long C Command line tools for processing and analyzing data collected in Turku PET Centre (TPC)
tpcclib.x86_64: W: spelling-error %description -l en_US centres -> centers, cent res, cent-res
tpcclib.x86_64: W: incoherent-version-in-changelog 0.7.5 ['0.7.5-1.fc33', '0.7.5-1']
tpcclib.x86_64: W: invalid-url URL: https://gitlab.utu.fi/vesoik/tpcclib <urlopen error [Errno -2] Name or service not known>
tpcclib.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/tpcclib/changelog.md
tpcclib.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/tpcclib/readme.md
tpcclib.x86_64: W: no-manual-page-for-binary abssbkg
tpcclib.x86_64: W: no-manual-page-for-binary absscal
tpcclib.x86_64: W: no-manual-page-for-binary abssexam
tpcclib.x86_64: W: no-manual-page-for-binary abssfch
tpcclib.x86_64: W: no-manual-page-for-binary absstime
tpcclib.x86_64: W: no-manual-page-for-binary absszero
tpcclib.x86_64: W: no-manual-page-for-binary addtimes
tpcclib.x86_64: W: no-manual-page-for-binary addvers
tpcclib.x86_64: W: no-manual-page-for-binary ainterp
tpcclib.x86_64: W: no-manual-page-for-binary ana2ecat
tpcclib.x86_64: W: no-manual-page-for-binary ana_ehdr
tpcclib.x86_64: W: no-manual-page-for-binary ana_lhdr
tpcclib.x86_64: W: no-manual-page-for-binary anabyteo
tpcclib.x86_64: W: no-manual-page-for-binary arlkup
tpcclib.x86_64: W: no-manual-page-for-binary asc2flat
tpcclib.x86_64: W: no-manual-page-for-binary atnmake
tpcclib.x86_64: W: no-manual-page-for-binary avgbolus
tpcclib.x86_64: W: no-manual-page-for-binary avgfract
tpcclib.x86_64: W: no-manual-page-for-binary avgttac
tpcclib.x86_64: W: no-manual-page-for-binary b2plasma
tpcclib.x86_64: W: no-manual-page-for-binary b2rbc
tpcclib.x86_64: W: no-manual-page-for-binary b2t_h2o
tpcclib.x86_64: W: no-manual-page-for-binary b2t_mo2
tpcclib.x86_64: W: no-manual-page-for-binary bfmh2o
tpcclib.x86_64: W: no-manual-page-for-binary bfmsrtm
tpcclib.x86_64: W: no-manual-page-for-binary bigend
tpcclib.x86_64: W: no-manual-page-for-binary bpr2cpr
tpcclib.x86_64: W: no-manual-page-for-binary conv1tcm
tpcclib.x86_64: W: no-manual-page-for-binary convend
tpcclib.x86_64: W: no-manual-page-for-binary convexpf
tpcclib.x86_64: W: no-manual-page-for-binary convsurg
tpcclib.x86_64: W: no-manual-page-for-binary csv2ift
tpcclib.x86_64: W: no-manual-page-for-binary csvrmcol
tpcclib.x86_64: W: no-manual-page-for-binary dcftime
tpcclib.x86_64: W: no-manual-page-for-binary dcmdict
tpcclib.x86_64: W: no-manual-page-for-binary dcmframe
tpcclib.x86_64: W: no-manual-page-for-binary dcmlhdr
tpcclib.x86_64: W: no-manual-page-for-binary dcmmlist
tpcclib.x86_64: W: no-manual-page-for-binary dcmxform
tpcclib.x86_64: W: no-manual-page-for-binary dft2img
tpcclib.x86_64: W: no-manual-page-for-binary dft2res
tpcclib.x86_64: W: no-manual-page-for-binary dftavg
tpcclib.x86_64: W: no-manual-page-for-binary dftcat
tpcclib.x86_64: W: no-manual-page-for-binary dftdblf
tpcclib.x86_64: W: no-manual-page-for-binary dftinteg
tpcclib.x86_64: W: no-manual-page-for-binary dftmax
tpcclib.x86_64: W: no-manual-page-for-binary dftratio
tpcclib.x86_64: W: no-manual-page-for-binary dftscale
tpcclib.x86_64: W: no-manual-page-for-binary dftsuv
tpcclib.x86_64: W: no-manual-page-for-binary dftweigh
tpcclib.x86_64: W: no-manual-page-for-binary disp4dft
tpcclib.x86_64: W: no-manual-page-for-binary e63emhdr
tpcclib.x86_64: W: no-manual-page-for-binary e63mdel
tpcclib.x86_64: W: no-manual-page-for-binary e63mreg
tpcclib.x86_64: W: no-manual-page-for-binary e63to7
tpcclib.x86_64: W: no-manual-page-for-binary e7emhdr
tpcclib.x86_64: W: no-manual-page-for-binary e7evhdr
tpcclib.x86_64: W: no-manual-page-for-binary e7to63
tpcclib.x86_64: W: no-manual-page-for-binary ecalibr
tpcclib.x86_64: W: no-manual-page-for-binary ecat2ana
tpcclib.x86_64: W: no-manual-page-for-binary ecat2nii
tpcclib.x86_64: W: no-manual-page-for-binary ecatcat
tpcclib.x86_64: W: no-manual-page-for-binary ecatfbp
tpcclib.x86_64: W: no-manual-page-for-binary ecatmrp
tpcclib.x86_64: W: no-manual-page-for-binary ecatnorm
tpcclib.x86_64: W: no-manual-page-for-binary ecattime
tpcclib.x86_64: W: no-manual-page-for-binary efixplnr
tpcclib.x86_64: W: no-manual-page-for-binary eframe
tpcclib.x86_64: W: no-manual-page-for-binary egetstrt
tpcclib.x86_64: W: no-manual-page-for-binary esetstrt
tpcclib.x86_64: W: no-manual-page-for-binary esplit
tpcclib.x86_64: W: no-manual-page-for-binary execlong
tpcclib.x86_64: W: no-manual-page-for-binary extrapol
tpcclib.x86_64: W: no-manual-page-for-binary fit2dat
tpcclib.x86_64: W: no-manual-page-for-binary fit2res
tpcclib.x86_64: W: no-manual-page-for-binary fit_bpr
tpcclib.x86_64: W: no-manual-page-for-binary fit_dexp
tpcclib.x86_64: W: no-manual-page-for-binary fit_disp
tpcclib.x86_64: W: no-manual-page-for-binary fit_exp
tpcclib.x86_64: W: no-manual-page-for-binary fit_feng
tpcclib.x86_64: W: no-manual-page-for-binary fit_fexp
tpcclib.x86_64: W: no-manual-page-for-binary fit_frtm
tpcclib.x86_64: W: no-manual-page-for-binary fit_gvar
tpcclib.x86_64: W: no-manual-page-for-binary fit_h2o
tpcclib.x86_64: W: no-manual-page-for-binary fit_hiad
tpcclib.x86_64: W: no-manual-page-for-binary fit_line
tpcclib.x86_64: W: no-manual-page-for-binary fit_o2bl
tpcclib.x86_64: W: no-manual-page-for-binary fit_pbr
tpcclib.x86_64: W: no-manual-page-for-binary fit_ppf
tpcclib.x86_64: W: no-manual-page-for-binary fit_ratf
tpcclib.x86_64: W: no-manual-page-for-binary fit_rrtm
tpcclib.x86_64: W: no-manual-page-for-binary fit_sigm
tpcclib.x86_64: W: no-manual-page-for-binary fit_sinf
tpcclib.x86_64: W: no-manual-page-for-binary fit_srtm
tpcclib.x86_64: W: no-manual-page-for-binary fit_trtm
tpcclib.x86_64: W: no-manual-page-for-binary fit_wcdf
tpcclib.x86_64: W: no-manual-page-for-binary fit_wliv
tpcclib.x86_64: W: no-manual-page-for-binary fit_wpul
tpcclib.x86_64: W: no-manual-page-for-binary fit_wrlv
tpcclib.x86_64: W: no-manual-page-for-binary fit_xexp
tpcclib.x86_64: W: no-manual-page-for-binary fit_xsur
tpcclib.x86_64: W: no-manual-page-for-binary fitdelay
tpcclib.x86_64: W: no-manual-page-for-binary fitedit
tpcclib.x86_64: W: no-manual-page-for-binary fitk2
tpcclib.x86_64: W: no-manual-page-for-binary fitk2di
tpcclib.x86_64: W: no-manual-page-for-binary fitk3
tpcclib.x86_64: W: no-manual-page-for-binary fitk4
tpcclib.x86_64: W: no-manual-page-for-binary fitk5
tpcclib.x86_64: W: no-manual-page-for-binary fitmbf
tpcclib.x86_64: W: no-manual-page-for-binary fitvb
tpcclib.x86_64: W: no-manual-page-for-binary flat2img
tpcclib.x86_64: W: no-manual-page-for-binary fvar4img
tpcclib.x86_64: W: no-manual-page-for-binary fvar4tac
tpcclib.x86_64: W: no-manual-page-for-binary halflife
tpcclib.x86_64: W: no-manual-page-for-binary heartcor
tpcclib.x86_64: W: no-manual-page-for-binary htmlfind
tpcclib.x86_64: W: no-manual-page-for-binary htmlgall
tpcclib.x86_64: W: no-manual-page-for-binary iftadd
tpcclib.x86_64: W: no-manual-page-for-binary iftdel
tpcclib.x86_64: W: no-manual-page-for-binary iftedit
tpcclib.x86_64: W: no-manual-page-for-binary iftisval
tpcclib.x86_64: W: no-manual-page-for-binary iftlist
tpcclib.x86_64: W: no-manual-page-for-binary iftmatch
tpcclib.x86_64: W: no-manual-page-for-binary iftren
tpcclib.x86_64: W: no-manual-page-for-binary iftvalc
tpcclib.x86_64: W: no-manual-page-for-binary img2dft
tpcclib.x86_64: W: no-manual-page-for-binary img2flat
tpcclib.x86_64: W: no-manual-page-for-binary img2scn
tpcclib.x86_64: W: no-manual-page-for-binary img2tif
tpcclib.x86_64: W: no-manual-page-for-binary imgadd
tpcclib.x86_64: W: no-manual-page-for-binary imgafind
tpcclib.x86_64: W: no-manual-page-for-binary imgaumc
tpcclib.x86_64: W: no-manual-page-for-binary imgbfbp
tpcclib.x86_64: W: no-manual-page-for-binary imgbfh2o
tpcclib.x86_64: W: no-manual-page-for-binary imgbfk2
tpcclib.x86_64: W: no-manual-page-for-binary imgbfk3
tpcclib.x86_64: W: no-manual-page-for-binary imgbkgrm
tpcclib.x86_64: W: no-manual-page-for-binary imgbox
tpcclib.x86_64: W: no-manual-page-for-binary imgcalc
tpcclib.x86_64: W: no-manual-page-for-binary imgcat
tpcclib.x86_64: W: no-manual-page-for-binary imgcbv
tpcclib.x86_64: W: no-manual-page-for-binary imgcutof
tpcclib.x86_64: W: no-manual-page-for-binary imgdecay
tpcclib.x86_64: W: no-manual-page-for-binary imgdelfr
tpcclib.x86_64: W: no-manual-page-for-binary imgdelpl
tpcclib.x86_64: W: no-manual-page-for-binary imgdim
tpcclib.x86_64: W: no-manual-page-for-binary imgdv
tpcclib.x86_64: W: no-manual-page-for-binary imgdysmo
tpcclib.x86_64: W: no-manual-page-for-binary imgfiltg
tpcclib.x86_64: W: no-manual-page-for-binary imgflip
tpcclib.x86_64: W: no-manual-page-for-binary imgflow
tpcclib.x86_64: W: no-manual-page-for-binary imgfrdif
tpcclib.x86_64: W: no-manual-page-for-binary imgfrdyn
tpcclib.x86_64: W: no-manual-page-for-binary imgfrsmo
tpcclib.x86_64: W: no-manual-page-for-binary imgfsegm
tpcclib.x86_64: W: no-manual-page-for-binary imgftac
tpcclib.x86_64: W: no-manual-page-for-binary imgfur
tpcclib.x86_64: W: no-manual-page-for-binary imghead
tpcclib.x86_64: W: no-manual-page-for-binary imghist
tpcclib.x86_64: W: no-manual-page-for-binary imgidpvc
tpcclib.x86_64: W: no-manual-page-for-binary imginteg
tpcclib.x86_64: W: no-manual-page-for-binary imginv
tpcclib.x86_64: W: no-manual-page-for-binary imgki
tpcclib.x86_64: W: no-manual-page-for-binary imgledif
tpcclib.x86_64: W: no-manual-page-for-binary imglhbdv
tpcclib.x86_64: W: no-manual-page-for-binary imglhdv
tpcclib.x86_64: W: no-manual-page-for-binary imglhk3
tpcclib.x86_64: W: no-manual-page-for-binary imglkup
tpcclib.x86_64: W: no-manual-page-for-binary imgmask
tpcclib.x86_64: W: no-manual-page-for-binary imgmatch
tpcclib.x86_64: W: no-manual-page-for-binary imgmax
tpcclib.x86_64: W: no-manual-page-for-binary imgmaxp
tpcclib.x86_64: W: no-manual-page-for-binary imgmove
tpcclib.x86_64: W: no-manual-page-for-binary imgpeak
tpcclib.x86_64: W: no-manual-page-for-binary imgposv
tpcclib.x86_64: W: no-manual-page-for-binary imgprofi
tpcclib.x86_64: W: no-manual-page-for-binary imgqntls
tpcclib.x86_64: W: no-manual-page-for-binary imgratio
tpcclib.x86_64: W: no-manual-page-for-binary imgshrink
tpcclib.x86_64: W: no-manual-page-for-binary imgslim
tpcclib.x86_64: W: no-manual-page-for-binary imgslope
tpcclib.x86_64: W: no-manual-page-for-binary imgsrtm
tpcclib.x86_64: W: no-manual-page-for-binary imgsuv
tpcclib.x86_64: W: no-manual-page-for-binary imgswell
tpcclib.x86_64: W: no-manual-page-for-binary imgthrs
tpcclib.x86_64: W: no-manual-page-for-binary imgunit
tpcclib.x86_64: W: no-manual-page-for-binary imgweigh
tpcclib.x86_64: W: no-manual-page-for-binary injdifft
tpcclib.x86_64: W: no-manual-page-for-binary inpstart
tpcclib.x86_64: W: no-manual-page-for-binary interpol
tpcclib.x86_64: W: no-manual-page-for-binary lhsol
tpcclib.x86_64: W: no-manual-page-for-binary liverinp
tpcclib.x86_64: W: no-manual-page-for-binary liverpv
tpcclib.x86_64: W: no-manual-page-for-binary llsqrk2
tpcclib.x86_64: W: no-manual-page-for-binary lmhdr
tpcclib.x86_64: W: no-manual-page-for-binary lmlist
tpcclib.x86_64: W: no-manual-page-for-binary logan
tpcclib.x86_64: W: no-manual-page-for-binary lshdr
tpcclib.x86_64: W: no-manual-page-for-binary mask2pxl
tpcclib.x86_64: W: no-manual-page-for-binary maskconj
tpcclib.x86_64: W: no-manual-page-for-binary maskdila
tpcclib.x86_64: W: no-manual-page-for-binary maskeros
tpcclib.x86_64: W: no-manual-page-for-binary maskinv
tpcclib.x86_64: W: no-manual-page-for-binary masklbl
tpcclib.x86_64: W: no-manual-page-for-binary masksize
tpcclib.x86_64: W: no-manual-page-for-binary metabcor
tpcclib.x86_64: W: no-manual-page-for-binary mkcalhdr
tpcclib.x86_64: W: no-manual-page-for-binary models
tpcclib.x86_64: W: no-manual-page-for-binary nii2ecat
tpcclib.x86_64: W: no-manual-page-for-binary nii_ehdr
tpcclib.x86_64: W: no-manual-page-for-binary nii_lhdr
tpcclib.x86_64: W: no-manual-page-for-binary o2_p2w
tpcclib.x86_64: W: no-manual-page-for-binary o2metab
tpcclib.x86_64: W: no-manual-page-for-binary p2bfuncs
tpcclib.x86_64: W: no-manual-page-for-binary p2blood
tpcclib.x86_64: W: no-manual-page-for-binary p2t_3c
tpcclib.x86_64: W: no-manual-page-for-binary p2t_di
tpcclib.x86_64: W: no-manual-page-for-binary p2t_v3c
tpcclib.x86_64: W: no-manual-page-for-binary paradd
tpcclib.x86_64: W: no-manual-page-for-binary parai
tpcclib.x86_64: W: no-manual-page-for-binary parcoll
tpcclib.x86_64: W: no-manual-page-for-binary pardiff
tpcclib.x86_64: W: no-manual-page-for-binary parformat
tpcclib.x86_64: W: no-manual-page-for-binary parget
tpcclib.x86_64: W: no-manual-page-for-binary parmatch
tpcclib.x86_64: W: no-manual-page-for-binary parmean
tpcclib.x86_64: W: no-manual-page-for-binary parrenp
tpcclib.x86_64: W: no-manual-page-for-binary parsort
tpcclib.x86_64: W: no-manual-page-for-binary patlak
tpcclib.x86_64: W: no-manual-page-for-binary paucinf
tpcclib.x86_64: W: no-manual-page-for-binary pdoc2htm
tpcclib.x86_64: W: no-manual-page-for-binary perfrat
tpcclib.x86_64: W: no-manual-page-for-binary pxl2mask
tpcclib.x86_64: W: no-manual-page-for-binary pxl2tac
tpcclib.x86_64: W: no-manual-page-for-binary regfur
tpcclib.x86_64: W: no-manual-page-for-binary res2html
tpcclib.x86_64: W: no-manual-page-for-binary rescoll
tpcclib.x86_64: W: no-manual-page-for-binary resdel
tpcclib.x86_64: W: no-manual-page-for-binary reslist
tpcclib.x86_64: W: no-manual-page-for-binary resmatch
tpcclib.x86_64: W: no-manual-page-for-binary rmcmnts
tpcclib.x86_64: W: no-manual-page-for-binary sifcat
tpcclib.x86_64: W: no-manual-page-for-binary sifisot
tpcclib.x86_64: W: no-manual-page-for-binary siflist
tpcclib.x86_64: W: no-manual-page-for-binary sim_3tcm
tpcclib.x86_64: W: no-manual-page-for-binary sim_av
tpcclib.x86_64: W: no-manual-page-for-binary sim_h2o
tpcclib.x86_64: W: no-manual-page-for-binary sim_mbf
tpcclib.x86_64: W: no-manual-page-for-binary sim_o2bl
tpcclib.x86_64: W: no-manual-page-for-binary sim_pkcp
tpcclib.x86_64: W: no-manual-page-for-binary sim_rtcm
tpcclib.x86_64: W: no-manual-page-for-binary sim_wliv
tpcclib.x86_64: W: no-manual-page-for-binary simboxes
tpcclib.x86_64: W: no-manual-page-for-binary simcirc
tpcclib.x86_64: W: no-manual-page-for-binary simdisp
tpcclib.x86_64: W: no-manual-page-for-binary simframe
tpcclib.x86_64: W: no-manual-page-for-binary simiart
tpcclib.x86_64: W: no-manual-page-for-binary simimyoc
tpcclib.x86_64: W: no-manual-page-for-binary simttm
tpcclib.x86_64: W: no-manual-page-for-binary svar4tac
tpcclib.x86_64: W: no-manual-page-for-binary tac2suv
tpcclib.x86_64: W: no-manual-page-for-binary tac2svg
tpcclib.x86_64: W: no-manual-page-for-binary tac2xml
tpcclib.x86_64: W: no-manual-page-for-binary tac4frpl
tpcclib.x86_64: W: no-manual-page-for-binary tacadd
tpcclib.x86_64: W: no-manual-page-for-binary tacadd0
tpcclib.x86_64: W: no-manual-page-for-binary tacblend
tpcclib.x86_64: W: no-manual-page-for-binary taccalc
tpcclib.x86_64: W: no-manual-page-for-binary taccbv
tpcclib.x86_64: W: no-manual-page-for-binary taccross
tpcclib.x86_64: W: no-manual-page-for-binary taccut
tpcclib.x86_64: W: no-manual-page-for-binary taccuty
tpcclib.x86_64: W: no-manual-page-for-binary tacdecay
tpcclib.x86_64: W: no-manual-page-for-binary tacdel
tpcclib.x86_64: W: no-manual-page-for-binary tacdelna
tpcclib.x86_64: W: no-manual-page-for-binary tacformat
tpcclib.x86_64: W: no-manual-page-for-binary tacframe
tpcclib.x86_64: W: no-manual-page-for-binary tacinv
tpcclib.x86_64: W: no-manual-page-for-binary tacjoin
tpcclib.x86_64: W: no-manual-page-for-binary taclist
tpcclib.x86_64: W: no-manual-page-for-binary taclkup
tpcclib.x86_64: W: no-manual-page-for-binary tacln
tpcclib.x86_64: W: no-manual-page-for-binary tacmatch
tpcclib.x86_64: W: no-manual-page-for-binary tacmean
tpcclib.x86_64: W: no-manual-page-for-binary tacmidy
tpcclib.x86_64: W: no-manual-page-for-binary tacmsamp
tpcclib.x86_64: W: no-manual-page-for-binary tacmultx
tpcclib.x86_64: W: no-manual-page-for-binary tacnames
tpcclib.x86_64: W: no-manual-page-for-binary tacp2f
tpcclib.x86_64: W: no-manual-page-for-binary tacpeak
tpcclib.x86_64: W: no-manual-page-for-binary tacrange
tpcclib.x86_64: W: no-manual-page-for-binary tacren
tpcclib.x86_64: W: no-manual-page-for-binary tacsetx
tpcclib.x86_64: W: no-manual-page-for-binary tacsety
tpcclib.x86_64: W: no-manual-page-for-binary tacslope
tpcclib.x86_64: W: no-manual-page-for-binary tacsort
tpcclib.x86_64: W: no-manual-page-for-binary tacsplit
tpcclib.x86_64: W: no-manual-page-for-binary tacstudy
tpcclib.x86_64: W: no-manual-page-for-binary tactime
tpcclib.x86_64: W: no-manual-page-for-binary tacunit
tpcclib.x86_64: W: no-manual-page-for-binary tacweigh
tpcclib.x86_64: W: no-manual-page-for-binary tocr
tpcclib.x86_64: W: no-manual-page-for-binary upet2e7
tpcclib.x86_64: W: no-manual-page-for-binary upet2sif
tpcclib.x86_64: W: no-manual-page-for-binary var4tac
tpcclib.x86_64: W: no-manual-page-for-binary yokoi
tpcclib-devel.x86_64: W: invalid-url URL: https://gitlab.utu.fi/vesoik/tpcclib <urlopen error [Errno -2] Name or service not known>
tpcclib-devel.x86_64: W: no-documentation
tpcclib-debugsource.x86_64: W: invalid-url URL: https://gitlab.utu.fi/vesoik/tpcclib <urlopen error [Errno -2] Name or service not known>
tpcclib-debuginfo.x86_64: W: invalid-url URL: https://gitlab.utu.fi/vesoik/tpcclib <urlopen error [Errno -2] Name or service not known>
4 packages and 0 specfiles checked; 1 errors, 315 warnings.



Source checksums
----------------
https://gitlab.utu.fi/vesoik/tpcclib/-/archive/v0.7.5/tpcclib-v0.7.5.tar.bz2 :
  CHECKSUM(SHA256) this package     : 199201eb0bbdd3fe3f94aefe94af6d9ba1bf305ae8b6ea4b968d367ff9a2a158
  CHECKSUM(SHA256) upstream package : 199201eb0bbdd3fe3f94aefe94af6d9ba1bf305ae8b6ea4b968d367ff9a2a158


Requires
--------
tpcclib (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

tpcclib-devel (rpmlib, GLIBC filtered):
    tpcclib(x86-64)

tpcclib-debuginfo (rpmlib, GLIBC filtered):

tpcclib-debugsource (rpmlib, GLIBC filtered):



Provides
--------
tpcclib:
    tpcclib
    tpcclib(x86-64)

tpcclib-devel:
    tpcclib(x86-64)
    tpcclib-devel
    tpcclib-devel(x86-64)

tpcclib-debuginfo:
    debuginfo(build-id)
    tpcclib-debuginfo
    tpcclib-debuginfo(x86-64)

tpcclib-debugsource:
    tpcclib-debugsource
    tpcclib-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1832562
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Python, Java, Ocaml, SugarActivity, R, fonts, Perl, Haskell, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Ankur Sinha (FranciscoD) 2020-05-08 17:51:03 UTC
Created attachment 1686566 [details]
licensecheck output

Comment 3 Ankur Sinha (FranciscoD) 2020-05-21 15:49:13 UTC
Ah, just noticed this. Please add new comments, there's no need to edit the initial comment. It just makes the review hard to follow. 

Ideally, you add comments addressing the issues that I have pointed out---to show that they have been fixed. Can you do that please? 

Look at this review for example: https://bugzilla.redhat.com/show_bug.cgi?id=1827957

Have you done any reviews yet, by the way? You should since reviewing is as important as adding new packages. Pick up something from here, and run fedora-review on it:
https://fedoraproject.org/PackageReviewStatus/NEW.html

Comment 4 Purusharth S 2020-05-24 16:14:31 UTC
Hey Ankur, 
Thanks for letting me know. I wasn't sure if the `fedora-review` would pick up the urls from the comments so I updated the previous one itself.
Will keep that in mind :)

And, thanks for the review as well. Here are the updated files:

Spec URL: https://pagure.io/tpcclib/raw/version-0.7.5/f/tpcclib.spec
SRPM URL: https://pagure.io/tpcclib/raw/version-0.7.5/f/tpcclib-0.7.5-1.fc32.src.rpm
Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=44424439

I've kept the licence as GPLv3 itself as per the discussion over devel. I also confirmed it with upstream over email (below)

> The files with GPL 2 license were actually not included in compilation and are now removed. 
> Most of the small files without license are test data which obviously cannot be edited to contain 
> license, but I have omitted the license from individual code files too, 
> because I hope it would be sufficient to have GPL3 in the main docs, covering the whole library.

Let me know if this is okay?


Also, I have some questions wrt reviewing process. Will ask that over sig irc

Comment 5 Ankur Sinha (FranciscoD) 2020-05-25 09:30:47 UTC
Thanks. I'll have a look at it this week. 

Please ping me in the channel if you need to. I should be lurking there during the day time in BST.


PS: the needinfo flag is generally used when one has not received a response on the bug for a while---it sends addition notifications to uses. So not needed here, since I am actively looking at this bug :)

Comment 6 Michael Schwendt 2020-06-01 08:58:44 UTC
This review request is a bit of a mystery. The spec file contains a few grave mistakes that have been introduced since the older version found at: https://pagure.io/tpcclib/blob/master/f/tpcclib.spec


> %package devel
> Summary: Libraries files for tpcclib development
> # Upstream only provides static libraries
> Provides: %{name}-static%{?_isa} = %{version}-static

Carefully follow

  https://docs.fedoraproject.org/en-US/packaging-guidelines/#_packaging_static_libraries

since right now you would be unable to "BuildRequires: tpcclib-static" as per
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_statically_linking_executables

Also notice these two:

  https://docs.fedoraproject.org/en-US/packaging-guidelines/#_requiring_base_package
  https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#subpackage-licensing


> %files devel
> %{_includedir}/*.a
> %{_includedir}/*.h

Static libraries belong into %{_libdir}


Currently, there are 34 static libraries and 34 header files. Can you tell a bit more about the usage scenario of this package? What external software does (or will) use these libs? Each of the header files includes a missing "tpcclibConfig.h" which indicates that these likely are internal headers and libs and not a public API.

Comment 7 Ankur Sinha (FranciscoD) 2020-06-07 10:51:00 UTC
Thanks Michael,

Purusharth: please look at these comments when you have a minute. The regressions in the spec should be corrected, as I'd explained in the channel: the review is incremental so we need to make sure that issues which were already fixed in the spec should not crop up again. Then we can check to see whether the API is public/private (if private, then you drop the -devel package and only ship the binaries).

Please drop a comment here when you've made some progress and we'll carry on with the review. Or find me in the channels sometime and we can go over things together too.

Comment 8 Ankur Sinha (FranciscoD) 2020-11-27 13:25:06 UTC
I'm going to mark this as NotReady. Purusharth, please work on this and ping us when it's ready for review.

Cheers,